package com.hfkj.entity;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class BsMerExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    private Integer limit;

    private Long offset;

    public BsMerExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    public void setLimit(Integer limit) {
        this.limit = limit;
    }

    public Integer getLimit() {
        return limit;
    }

    public void setOffset(Long offset) {
        this.offset = offset;
    }

    public Long getOffset() {
        return offset;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Long value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Long value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Long value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Long value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Long value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Long value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Long> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Long> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Long value1, Long value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Long value1, Long value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andOrgNoIsNull() {
            addCriterion("org_no is null");
            return (Criteria) this;
        }

        public Criteria andOrgNoIsNotNull() {
            addCriterion("org_no is not null");
            return (Criteria) this;
        }

        public Criteria andOrgNoEqualTo(String value) {
            addCriterion("org_no =", value, "orgNo");
            return (Criteria) this;
        }

        public Criteria andOrgNoNotEqualTo(String value) {
            addCriterion("org_no <>", value, "orgNo");
            return (Criteria) this;
        }

        public Criteria andOrgNoGreaterThan(String value) {
            addCriterion("org_no >", value, "orgNo");
            return (Criteria) this;
        }

        public Criteria andOrgNoGreaterThanOrEqualTo(String value) {
            addCriterion("org_no >=", value, "orgNo");
            return (Criteria) this;
        }

        public Criteria andOrgNoLessThan(String value) {
            addCriterion("org_no <", value, "orgNo");
            return (Criteria) this;
        }

        public Criteria andOrgNoLessThanOrEqualTo(String value) {
            addCriterion("org_no <=", value, "orgNo");
            return (Criteria) this;
        }

        public Criteria andOrgNoLike(String value) {
            addCriterion("org_no like", value, "orgNo");
            return (Criteria) this;
        }

        public Criteria andOrgNoNotLike(String value) {
            addCriterion("org_no not like", value, "orgNo");
            return (Criteria) this;
        }

        public Criteria andOrgNoIn(List<String> values) {
            addCriterion("org_no in", values, "orgNo");
            return (Criteria) this;
        }

        public Criteria andOrgNoNotIn(List<String> values) {
            addCriterion("org_no not in", values, "orgNo");
            return (Criteria) this;
        }

        public Criteria andOrgNoBetween(String value1, String value2) {
            addCriterion("org_no between", value1, value2, "orgNo");
            return (Criteria) this;
        }

        public Criteria andOrgNoNotBetween(String value1, String value2) {
            addCriterion("org_no not between", value1, value2, "orgNo");
            return (Criteria) this;
        }

        public Criteria andOrgNameIsNull() {
            addCriterion("org_name is null");
            return (Criteria) this;
        }

        public Criteria andOrgNameIsNotNull() {
            addCriterion("org_name is not null");
            return (Criteria) this;
        }

        public Criteria andOrgNameEqualTo(String value) {
            addCriterion("org_name =", value, "orgName");
            return (Criteria) this;
        }

        public Criteria andOrgNameNotEqualTo(String value) {
            addCriterion("org_name <>", value, "orgName");
            return (Criteria) this;
        }

        public Criteria andOrgNameGreaterThan(String value) {
            addCriterion("org_name >", value, "orgName");
            return (Criteria) this;
        }

        public Criteria andOrgNameGreaterThanOrEqualTo(String value) {
            addCriterion("org_name >=", value, "orgName");
            return (Criteria) this;
        }

        public Criteria andOrgNameLessThan(String value) {
            addCriterion("org_name <", value, "orgName");
            return (Criteria) this;
        }

        public Criteria andOrgNameLessThanOrEqualTo(String value) {
            addCriterion("org_name <=", value, "orgName");
            return (Criteria) this;
        }

        public Criteria andOrgNameLike(String value) {
            addCriterion("org_name like", value, "orgName");
            return (Criteria) this;
        }

        public Criteria andOrgNameNotLike(String value) {
            addCriterion("org_name not like", value, "orgName");
            return (Criteria) this;
        }

        public Criteria andOrgNameIn(List<String> values) {
            addCriterion("org_name in", values, "orgName");
            return (Criteria) this;
        }

        public Criteria andOrgNameNotIn(List<String> values) {
            addCriterion("org_name not in", values, "orgName");
            return (Criteria) this;
        }

        public Criteria andOrgNameBetween(String value1, String value2) {
            addCriterion("org_name between", value1, value2, "orgName");
            return (Criteria) this;
        }

        public Criteria andOrgNameNotBetween(String value1, String value2) {
            addCriterion("org_name not between", value1, value2, "orgName");
            return (Criteria) this;
        }

        public Criteria andCompanyIdIsNull() {
            addCriterion("company_id is null");
            return (Criteria) this;
        }

        public Criteria andCompanyIdIsNotNull() {
            addCriterion("company_id is not null");
            return (Criteria) this;
        }

        public Criteria andCompanyIdEqualTo(Long value) {
            addCriterion("company_id =", value, "companyId");
            return (Criteria) this;
        }

        public Criteria andCompanyIdNotEqualTo(Long value) {
            addCriterion("company_id <>", value, "companyId");
            return (Criteria) this;
        }

        public Criteria andCompanyIdGreaterThan(Long value) {
            addCriterion("company_id >", value, "companyId");
            return (Criteria) this;
        }

        public Criteria andCompanyIdGreaterThanOrEqualTo(Long value) {
            addCriterion("company_id >=", value, "companyId");
            return (Criteria) this;
        }

        public Criteria andCompanyIdLessThan(Long value) {
            addCriterion("company_id <", value, "companyId");
            return (Criteria) this;
        }

        public Criteria andCompanyIdLessThanOrEqualTo(Long value) {
            addCriterion("company_id <=", value, "companyId");
            return (Criteria) this;
        }

        public Criteria andCompanyIdIn(List<Long> values) {
            addCriterion("company_id in", values, "companyId");
            return (Criteria) this;
        }

        public Criteria andCompanyIdNotIn(List<Long> values) {
            addCriterion("company_id not in", values, "companyId");
            return (Criteria) this;
        }

        public Criteria andCompanyIdBetween(Long value1, Long value2) {
            addCriterion("company_id between", value1, value2, "companyId");
            return (Criteria) this;
        }

        public Criteria andCompanyIdNotBetween(Long value1, Long value2) {
            addCriterion("company_id not between", value1, value2, "companyId");
            return (Criteria) this;
        }

        public Criteria andCompanyNameIsNull() {
            addCriterion("company_name is null");
            return (Criteria) this;
        }

        public Criteria andCompanyNameIsNotNull() {
            addCriterion("company_name is not null");
            return (Criteria) this;
        }

        public Criteria andCompanyNameEqualTo(String value) {
            addCriterion("company_name =", value, "companyName");
            return (Criteria) this;
        }

        public Criteria andCompanyNameNotEqualTo(String value) {
            addCriterion("company_name <>", value, "companyName");
            return (Criteria) this;
        }

        public Criteria andCompanyNameGreaterThan(String value) {
            addCriterion("company_name >", value, "companyName");
            return (Criteria) this;
        }

        public Criteria andCompanyNameGreaterThanOrEqualTo(String value) {
            addCriterion("company_name >=", value, "companyName");
            return (Criteria) this;
        }

        public Criteria andCompanyNameLessThan(String value) {
            addCriterion("company_name <", value, "companyName");
            return (Criteria) this;
        }

        public Criteria andCompanyNameLessThanOrEqualTo(String value) {
            addCriterion("company_name <=", value, "companyName");
            return (Criteria) this;
        }

        public Criteria andCompanyNameLike(String value) {
            addCriterion("company_name like", value, "companyName");
            return (Criteria) this;
        }

        public Criteria andCompanyNameNotLike(String value) {
            addCriterion("company_name not like", value, "companyName");
            return (Criteria) this;
        }

        public Criteria andCompanyNameIn(List<String> values) {
            addCriterion("company_name in", values, "companyName");
            return (Criteria) this;
        }

        public Criteria andCompanyNameNotIn(List<String> values) {
            addCriterion("company_name not in", values, "companyName");
            return (Criteria) this;
        }

        public Criteria andCompanyNameBetween(String value1, String value2) {
            addCriterion("company_name between", value1, value2, "companyName");
            return (Criteria) this;
        }

        public Criteria andCompanyNameNotBetween(String value1, String value2) {
            addCriterion("company_name not between", value1, value2, "companyName");
            return (Criteria) this;
        }

        public Criteria andAgentIdIsNull() {
            addCriterion("agent_id is null");
            return (Criteria) this;
        }

        public Criteria andAgentIdIsNotNull() {
            addCriterion("agent_id is not null");
            return (Criteria) this;
        }

        public Criteria andAgentIdEqualTo(Long value) {
            addCriterion("agent_id =", value, "agentId");
            return (Criteria) this;
        }

        public Criteria andAgentIdNotEqualTo(Long value) {
            addCriterion("agent_id <>", value, "agentId");
            return (Criteria) this;
        }

        public Criteria andAgentIdGreaterThan(Long value) {
            addCriterion("agent_id >", value, "agentId");
            return (Criteria) this;
        }

        public Criteria andAgentIdGreaterThanOrEqualTo(Long value) {
            addCriterion("agent_id >=", value, "agentId");
            return (Criteria) this;
        }

        public Criteria andAgentIdLessThan(Long value) {
            addCriterion("agent_id <", value, "agentId");
            return (Criteria) this;
        }

        public Criteria andAgentIdLessThanOrEqualTo(Long value) {
            addCriterion("agent_id <=", value, "agentId");
            return (Criteria) this;
        }

        public Criteria andAgentIdIn(List<Long> values) {
            addCriterion("agent_id in", values, "agentId");
            return (Criteria) this;
        }

        public Criteria andAgentIdNotIn(List<Long> values) {
            addCriterion("agent_id not in", values, "agentId");
            return (Criteria) this;
        }

        public Criteria andAgentIdBetween(Long value1, Long value2) {
            addCriterion("agent_id between", value1, value2, "agentId");
            return (Criteria) this;
        }

        public Criteria andAgentIdNotBetween(Long value1, Long value2) {
            addCriterion("agent_id not between", value1, value2, "agentId");
            return (Criteria) this;
        }

        public Criteria andAgentNameIsNull() {
            addCriterion("agent_name is null");
            return (Criteria) this;
        }

        public Criteria andAgentNameIsNotNull() {
            addCriterion("agent_name is not null");
            return (Criteria) this;
        }

        public Criteria andAgentNameEqualTo(String value) {
            addCriterion("agent_name =", value, "agentName");
            return (Criteria) this;
        }

        public Criteria andAgentNameNotEqualTo(String value) {
            addCriterion("agent_name <>", value, "agentName");
            return (Criteria) this;
        }

        public Criteria andAgentNameGreaterThan(String value) {
            addCriterion("agent_name >", value, "agentName");
            return (Criteria) this;
        }

        public Criteria andAgentNameGreaterThanOrEqualTo(String value) {
            addCriterion("agent_name >=", value, "agentName");
            return (Criteria) this;
        }

        public Criteria andAgentNameLessThan(String value) {
            addCriterion("agent_name <", value, "agentName");
            return (Criteria) this;
        }

        public Criteria andAgentNameLessThanOrEqualTo(String value) {
            addCriterion("agent_name <=", value, "agentName");
            return (Criteria) this;
        }

        public Criteria andAgentNameLike(String value) {
            addCriterion("agent_name like", value, "agentName");
            return (Criteria) this;
        }

        public Criteria andAgentNameNotLike(String value) {
            addCriterion("agent_name not like", value, "agentName");
            return (Criteria) this;
        }

        public Criteria andAgentNameIn(List<String> values) {
            addCriterion("agent_name in", values, "agentName");
            return (Criteria) this;
        }

        public Criteria andAgentNameNotIn(List<String> values) {
            addCriterion("agent_name not in", values, "agentName");
            return (Criteria) this;
        }

        public Criteria andAgentNameBetween(String value1, String value2) {
            addCriterion("agent_name between", value1, value2, "agentName");
            return (Criteria) this;
        }

        public Criteria andAgentNameNotBetween(String value1, String value2) {
            addCriterion("agent_name not between", value1, value2, "agentName");
            return (Criteria) this;
        }

        public Criteria andSalesmanIdIsNull() {
            addCriterion("salesman_id is null");
            return (Criteria) this;
        }

        public Criteria andSalesmanIdIsNotNull() {
            addCriterion("salesman_id is not null");
            return (Criteria) this;
        }

        public Criteria andSalesmanIdEqualTo(Long value) {
            addCriterion("salesman_id =", value, "salesmanId");
            return (Criteria) this;
        }

        public Criteria andSalesmanIdNotEqualTo(Long value) {
            addCriterion("salesman_id <>", value, "salesmanId");
            return (Criteria) this;
        }

        public Criteria andSalesmanIdGreaterThan(Long value) {
            addCriterion("salesman_id >", value, "salesmanId");
            return (Criteria) this;
        }

        public Criteria andSalesmanIdGreaterThanOrEqualTo(Long value) {
            addCriterion("salesman_id >=", value, "salesmanId");
            return (Criteria) this;
        }

        public Criteria andSalesmanIdLessThan(Long value) {
            addCriterion("salesman_id <", value, "salesmanId");
            return (Criteria) this;
        }

        public Criteria andSalesmanIdLessThanOrEqualTo(Long value) {
            addCriterion("salesman_id <=", value, "salesmanId");
            return (Criteria) this;
        }

        public Criteria andSalesmanIdIn(List<Long> values) {
            addCriterion("salesman_id in", values, "salesmanId");
            return (Criteria) this;
        }

        public Criteria andSalesmanIdNotIn(List<Long> values) {
            addCriterion("salesman_id not in", values, "salesmanId");
            return (Criteria) this;
        }

        public Criteria andSalesmanIdBetween(Long value1, Long value2) {
            addCriterion("salesman_id between", value1, value2, "salesmanId");
            return (Criteria) this;
        }

        public Criteria andSalesmanIdNotBetween(Long value1, Long value2) {
            addCriterion("salesman_id not between", value1, value2, "salesmanId");
            return (Criteria) this;
        }

        public Criteria andSalesmanNameIsNull() {
            addCriterion("salesman_name is null");
            return (Criteria) this;
        }

        public Criteria andSalesmanNameIsNotNull() {
            addCriterion("salesman_name is not null");
            return (Criteria) this;
        }

        public Criteria andSalesmanNameEqualTo(String value) {
            addCriterion("salesman_name =", value, "salesmanName");
            return (Criteria) this;
        }

        public Criteria andSalesmanNameNotEqualTo(String value) {
            addCriterion("salesman_name <>", value, "salesmanName");
            return (Criteria) this;
        }

        public Criteria andSalesmanNameGreaterThan(String value) {
            addCriterion("salesman_name >", value, "salesmanName");
            return (Criteria) this;
        }

        public Criteria andSalesmanNameGreaterThanOrEqualTo(String value) {
            addCriterion("salesman_name >=", value, "salesmanName");
            return (Criteria) this;
        }

        public Criteria andSalesmanNameLessThan(String value) {
            addCriterion("salesman_name <", value, "salesmanName");
            return (Criteria) this;
        }

        public Criteria andSalesmanNameLessThanOrEqualTo(String value) {
            addCriterion("salesman_name <=", value, "salesmanName");
            return (Criteria) this;
        }

        public Criteria andSalesmanNameLike(String value) {
            addCriterion("salesman_name like", value, "salesmanName");
            return (Criteria) this;
        }

        public Criteria andSalesmanNameNotLike(String value) {
            addCriterion("salesman_name not like", value, "salesmanName");
            return (Criteria) this;
        }

        public Criteria andSalesmanNameIn(List<String> values) {
            addCriterion("salesman_name in", values, "salesmanName");
            return (Criteria) this;
        }

        public Criteria andSalesmanNameNotIn(List<String> values) {
            addCriterion("salesman_name not in", values, "salesmanName");
            return (Criteria) this;
        }

        public Criteria andSalesmanNameBetween(String value1, String value2) {
            addCriterion("salesman_name between", value1, value2, "salesmanName");
            return (Criteria) this;
        }

        public Criteria andSalesmanNameNotBetween(String value1, String value2) {
            addCriterion("salesman_name not between", value1, value2, "salesmanName");
            return (Criteria) this;
        }

        public Criteria andRegPhoneIsNull() {
            addCriterion("reg_phone is null");
            return (Criteria) this;
        }

        public Criteria andRegPhoneIsNotNull() {
            addCriterion("reg_phone is not null");
            return (Criteria) this;
        }

        public Criteria andRegPhoneEqualTo(String value) {
            addCriterion("reg_phone =", value, "regPhone");
            return (Criteria) this;
        }

        public Criteria andRegPhoneNotEqualTo(String value) {
            addCriterion("reg_phone <>", value, "regPhone");
            return (Criteria) this;
        }

        public Criteria andRegPhoneGreaterThan(String value) {
            addCriterion("reg_phone >", value, "regPhone");
            return (Criteria) this;
        }

        public Criteria andRegPhoneGreaterThanOrEqualTo(String value) {
            addCriterion("reg_phone >=", value, "regPhone");
            return (Criteria) this;
        }

        public Criteria andRegPhoneLessThan(String value) {
            addCriterion("reg_phone <", value, "regPhone");
            return (Criteria) this;
        }

        public Criteria andRegPhoneLessThanOrEqualTo(String value) {
            addCriterion("reg_phone <=", value, "regPhone");
            return (Criteria) this;
        }

        public Criteria andRegPhoneLike(String value) {
            addCriterion("reg_phone like", value, "regPhone");
            return (Criteria) this;
        }

        public Criteria andRegPhoneNotLike(String value) {
            addCriterion("reg_phone not like", value, "regPhone");
            return (Criteria) this;
        }

        public Criteria andRegPhoneIn(List<String> values) {
            addCriterion("reg_phone in", values, "regPhone");
            return (Criteria) this;
        }

        public Criteria andRegPhoneNotIn(List<String> values) {
            addCriterion("reg_phone not in", values, "regPhone");
            return (Criteria) this;
        }

        public Criteria andRegPhoneBetween(String value1, String value2) {
            addCriterion("reg_phone between", value1, value2, "regPhone");
            return (Criteria) this;
        }

        public Criteria andRegPhoneNotBetween(String value1, String value2) {
            addCriterion("reg_phone not between", value1, value2, "regPhone");
            return (Criteria) this;
        }

        public Criteria andRegNameIsNull() {
            addCriterion("reg_name is null");
            return (Criteria) this;
        }

        public Criteria andRegNameIsNotNull() {
            addCriterion("reg_name is not null");
            return (Criteria) this;
        }

        public Criteria andRegNameEqualTo(String value) {
            addCriterion("reg_name =", value, "regName");
            return (Criteria) this;
        }

        public Criteria andRegNameNotEqualTo(String value) {
            addCriterion("reg_name <>", value, "regName");
            return (Criteria) this;
        }

        public Criteria andRegNameGreaterThan(String value) {
            addCriterion("reg_name >", value, "regName");
            return (Criteria) this;
        }

        public Criteria andRegNameGreaterThanOrEqualTo(String value) {
            addCriterion("reg_name >=", value, "regName");
            return (Criteria) this;
        }

        public Criteria andRegNameLessThan(String value) {
            addCriterion("reg_name <", value, "regName");
            return (Criteria) this;
        }

        public Criteria andRegNameLessThanOrEqualTo(String value) {
            addCriterion("reg_name <=", value, "regName");
            return (Criteria) this;
        }

        public Criteria andRegNameLike(String value) {
            addCriterion("reg_name like", value, "regName");
            return (Criteria) this;
        }

        public Criteria andRegNameNotLike(String value) {
            addCriterion("reg_name not like", value, "regName");
            return (Criteria) this;
        }

        public Criteria andRegNameIn(List<String> values) {
            addCriterion("reg_name in", values, "regName");
            return (Criteria) this;
        }

        public Criteria andRegNameNotIn(List<String> values) {
            addCriterion("reg_name not in", values, "regName");
            return (Criteria) this;
        }

        public Criteria andRegNameBetween(String value1, String value2) {
            addCriterion("reg_name between", value1, value2, "regName");
            return (Criteria) this;
        }

        public Criteria andRegNameNotBetween(String value1, String value2) {
            addCriterion("reg_name not between", value1, value2, "regName");
            return (Criteria) this;
        }

        public Criteria andRegEmailIsNull() {
            addCriterion("reg_email is null");
            return (Criteria) this;
        }

        public Criteria andRegEmailIsNotNull() {
            addCriterion("reg_email is not null");
            return (Criteria) this;
        }

        public Criteria andRegEmailEqualTo(String value) {
            addCriterion("reg_email =", value, "regEmail");
            return (Criteria) this;
        }

        public Criteria andRegEmailNotEqualTo(String value) {
            addCriterion("reg_email <>", value, "regEmail");
            return (Criteria) this;
        }

        public Criteria andRegEmailGreaterThan(String value) {
            addCriterion("reg_email >", value, "regEmail");
            return (Criteria) this;
        }

        public Criteria andRegEmailGreaterThanOrEqualTo(String value) {
            addCriterion("reg_email >=", value, "regEmail");
            return (Criteria) this;
        }

        public Criteria andRegEmailLessThan(String value) {
            addCriterion("reg_email <", value, "regEmail");
            return (Criteria) this;
        }

        public Criteria andRegEmailLessThanOrEqualTo(String value) {
            addCriterion("reg_email <=", value, "regEmail");
            return (Criteria) this;
        }

        public Criteria andRegEmailLike(String value) {
            addCriterion("reg_email like", value, "regEmail");
            return (Criteria) this;
        }

        public Criteria andRegEmailNotLike(String value) {
            addCriterion("reg_email not like", value, "regEmail");
            return (Criteria) this;
        }

        public Criteria andRegEmailIn(List<String> values) {
            addCriterion("reg_email in", values, "regEmail");
            return (Criteria) this;
        }

        public Criteria andRegEmailNotIn(List<String> values) {
            addCriterion("reg_email not in", values, "regEmail");
            return (Criteria) this;
        }

        public Criteria andRegEmailBetween(String value1, String value2) {
            addCriterion("reg_email between", value1, value2, "regEmail");
            return (Criteria) this;
        }

        public Criteria andRegEmailNotBetween(String value1, String value2) {
            addCriterion("reg_email not between", value1, value2, "regEmail");
            return (Criteria) this;
        }

        public Criteria andMerTypeIsNull() {
            addCriterion("mer_type is null");
            return (Criteria) this;
        }

        public Criteria andMerTypeIsNotNull() {
            addCriterion("mer_type is not null");
            return (Criteria) this;
        }

        public Criteria andMerTypeEqualTo(Integer value) {
            addCriterion("mer_type =", value, "merType");
            return (Criteria) this;
        }

        public Criteria andMerTypeNotEqualTo(Integer value) {
            addCriterion("mer_type <>", value, "merType");
            return (Criteria) this;
        }

        public Criteria andMerTypeGreaterThan(Integer value) {
            addCriterion("mer_type >", value, "merType");
            return (Criteria) this;
        }

        public Criteria andMerTypeGreaterThanOrEqualTo(Integer value) {
            addCriterion("mer_type >=", value, "merType");
            return (Criteria) this;
        }

        public Criteria andMerTypeLessThan(Integer value) {
            addCriterion("mer_type <", value, "merType");
            return (Criteria) this;
        }

        public Criteria andMerTypeLessThanOrEqualTo(Integer value) {
            addCriterion("mer_type <=", value, "merType");
            return (Criteria) this;
        }

        public Criteria andMerTypeIn(List<Integer> values) {
            addCriterion("mer_type in", values, "merType");
            return (Criteria) this;
        }

        public Criteria andMerTypeNotIn(List<Integer> values) {
            addCriterion("mer_type not in", values, "merType");
            return (Criteria) this;
        }

        public Criteria andMerTypeBetween(Integer value1, Integer value2) {
            addCriterion("mer_type between", value1, value2, "merType");
            return (Criteria) this;
        }

        public Criteria andMerTypeNotBetween(Integer value1, Integer value2) {
            addCriterion("mer_type not between", value1, value2, "merType");
            return (Criteria) this;
        }

        public Criteria andMerNoIsNull() {
            addCriterion("mer_no is null");
            return (Criteria) this;
        }

        public Criteria andMerNoIsNotNull() {
            addCriterion("mer_no is not null");
            return (Criteria) this;
        }

        public Criteria andMerNoEqualTo(String value) {
            addCriterion("mer_no =", value, "merNo");
            return (Criteria) this;
        }

        public Criteria andMerNoNotEqualTo(String value) {
            addCriterion("mer_no <>", value, "merNo");
            return (Criteria) this;
        }

        public Criteria andMerNoGreaterThan(String value) {
            addCriterion("mer_no >", value, "merNo");
            return (Criteria) this;
        }

        public Criteria andMerNoGreaterThanOrEqualTo(String value) {
            addCriterion("mer_no >=", value, "merNo");
            return (Criteria) this;
        }

        public Criteria andMerNoLessThan(String value) {
            addCriterion("mer_no <", value, "merNo");
            return (Criteria) this;
        }

        public Criteria andMerNoLessThanOrEqualTo(String value) {
            addCriterion("mer_no <=", value, "merNo");
            return (Criteria) this;
        }

        public Criteria andMerNoLike(String value) {
            addCriterion("mer_no like", value, "merNo");
            return (Criteria) this;
        }

        public Criteria andMerNoNotLike(String value) {
            addCriterion("mer_no not like", value, "merNo");
            return (Criteria) this;
        }

        public Criteria andMerNoIn(List<String> values) {
            addCriterion("mer_no in", values, "merNo");
            return (Criteria) this;
        }

        public Criteria andMerNoNotIn(List<String> values) {
            addCriterion("mer_no not in", values, "merNo");
            return (Criteria) this;
        }

        public Criteria andMerNoBetween(String value1, String value2) {
            addCriterion("mer_no between", value1, value2, "merNo");
            return (Criteria) this;
        }

        public Criteria andMerNoNotBetween(String value1, String value2) {
            addCriterion("mer_no not between", value1, value2, "merNo");
            return (Criteria) this;
        }

        public Criteria andMerNameIsNull() {
            addCriterion("mer_name is null");
            return (Criteria) this;
        }

        public Criteria andMerNameIsNotNull() {
            addCriterion("mer_name is not null");
            return (Criteria) this;
        }

        public Criteria andMerNameEqualTo(String value) {
            addCriterion("mer_name =", value, "merName");
            return (Criteria) this;
        }

        public Criteria andMerNameNotEqualTo(String value) {
            addCriterion("mer_name <>", value, "merName");
            return (Criteria) this;
        }

        public Criteria andMerNameGreaterThan(String value) {
            addCriterion("mer_name >", value, "merName");
            return (Criteria) this;
        }

        public Criteria andMerNameGreaterThanOrEqualTo(String value) {
            addCriterion("mer_name >=", value, "merName");
            return (Criteria) this;
        }

        public Criteria andMerNameLessThan(String value) {
            addCriterion("mer_name <", value, "merName");
            return (Criteria) this;
        }

        public Criteria andMerNameLessThanOrEqualTo(String value) {
            addCriterion("mer_name <=", value, "merName");
            return (Criteria) this;
        }

        public Criteria andMerNameLike(String value) {
            addCriterion("mer_name like", value, "merName");
            return (Criteria) this;
        }

        public Criteria andMerNameNotLike(String value) {
            addCriterion("mer_name not like", value, "merName");
            return (Criteria) this;
        }

        public Criteria andMerNameIn(List<String> values) {
            addCriterion("mer_name in", values, "merName");
            return (Criteria) this;
        }

        public Criteria andMerNameNotIn(List<String> values) {
            addCriterion("mer_name not in", values, "merName");
            return (Criteria) this;
        }

        public Criteria andMerNameBetween(String value1, String value2) {
            addCriterion("mer_name between", value1, value2, "merName");
            return (Criteria) this;
        }

        public Criteria andMerNameNotBetween(String value1, String value2) {
            addCriterion("mer_name not between", value1, value2, "merName");
            return (Criteria) this;
        }

        public Criteria andMerAbbreviateIsNull() {
            addCriterion("mer_abbreviate is null");
            return (Criteria) this;
        }

        public Criteria andMerAbbreviateIsNotNull() {
            addCriterion("mer_abbreviate is not null");
            return (Criteria) this;
        }

        public Criteria andMerAbbreviateEqualTo(String value) {
            addCriterion("mer_abbreviate =", value, "merAbbreviate");
            return (Criteria) this;
        }

        public Criteria andMerAbbreviateNotEqualTo(String value) {
            addCriterion("mer_abbreviate <>", value, "merAbbreviate");
            return (Criteria) this;
        }

        public Criteria andMerAbbreviateGreaterThan(String value) {
            addCriterion("mer_abbreviate >", value, "merAbbreviate");
            return (Criteria) this;
        }

        public Criteria andMerAbbreviateGreaterThanOrEqualTo(String value) {
            addCriterion("mer_abbreviate >=", value, "merAbbreviate");
            return (Criteria) this;
        }

        public Criteria andMerAbbreviateLessThan(String value) {
            addCriterion("mer_abbreviate <", value, "merAbbreviate");
            return (Criteria) this;
        }

        public Criteria andMerAbbreviateLessThanOrEqualTo(String value) {
            addCriterion("mer_abbreviate <=", value, "merAbbreviate");
            return (Criteria) this;
        }

        public Criteria andMerAbbreviateLike(String value) {
            addCriterion("mer_abbreviate like", value, "merAbbreviate");
            return (Criteria) this;
        }

        public Criteria andMerAbbreviateNotLike(String value) {
            addCriterion("mer_abbreviate not like", value, "merAbbreviate");
            return (Criteria) this;
        }

        public Criteria andMerAbbreviateIn(List<String> values) {
            addCriterion("mer_abbreviate in", values, "merAbbreviate");
            return (Criteria) this;
        }

        public Criteria andMerAbbreviateNotIn(List<String> values) {
            addCriterion("mer_abbreviate not in", values, "merAbbreviate");
            return (Criteria) this;
        }

        public Criteria andMerAbbreviateBetween(String value1, String value2) {
            addCriterion("mer_abbreviate between", value1, value2, "merAbbreviate");
            return (Criteria) this;
        }

        public Criteria andMerAbbreviateNotBetween(String value1, String value2) {
            addCriterion("mer_abbreviate not between", value1, value2, "merAbbreviate");
            return (Criteria) this;
        }

        public Criteria andMerOperateTypeIsNull() {
            addCriterion("mer_operate_type is null");
            return (Criteria) this;
        }

        public Criteria andMerOperateTypeIsNotNull() {
            addCriterion("mer_operate_type is not null");
            return (Criteria) this;
        }

        public Criteria andMerOperateTypeEqualTo(Integer value) {
            addCriterion("mer_operate_type =", value, "merOperateType");
            return (Criteria) this;
        }

        public Criteria andMerOperateTypeNotEqualTo(Integer value) {
            addCriterion("mer_operate_type <>", value, "merOperateType");
            return (Criteria) this;
        }

        public Criteria andMerOperateTypeGreaterThan(Integer value) {
            addCriterion("mer_operate_type >", value, "merOperateType");
            return (Criteria) this;
        }

        public Criteria andMerOperateTypeGreaterThanOrEqualTo(Integer value) {
            addCriterion("mer_operate_type >=", value, "merOperateType");
            return (Criteria) this;
        }

        public Criteria andMerOperateTypeLessThan(Integer value) {
            addCriterion("mer_operate_type <", value, "merOperateType");
            return (Criteria) this;
        }

        public Criteria andMerOperateTypeLessThanOrEqualTo(Integer value) {
            addCriterion("mer_operate_type <=", value, "merOperateType");
            return (Criteria) this;
        }

        public Criteria andMerOperateTypeIn(List<Integer> values) {
            addCriterion("mer_operate_type in", values, "merOperateType");
            return (Criteria) this;
        }

        public Criteria andMerOperateTypeNotIn(List<Integer> values) {
            addCriterion("mer_operate_type not in", values, "merOperateType");
            return (Criteria) this;
        }

        public Criteria andMerOperateTypeBetween(Integer value1, Integer value2) {
            addCriterion("mer_operate_type between", value1, value2, "merOperateType");
            return (Criteria) this;
        }

        public Criteria andMerOperateTypeNotBetween(Integer value1, Integer value2) {
            addCriterion("mer_operate_type not between", value1, value2, "merOperateType");
            return (Criteria) this;
        }

        public Criteria andMerOnlineTypeIsNull() {
            addCriterion("mer_online_type is null");
            return (Criteria) this;
        }

        public Criteria andMerOnlineTypeIsNotNull() {
            addCriterion("mer_online_type is not null");
            return (Criteria) this;
        }

        public Criteria andMerOnlineTypeEqualTo(Integer value) {
            addCriterion("mer_online_type =", value, "merOnlineType");
            return (Criteria) this;
        }

        public Criteria andMerOnlineTypeNotEqualTo(Integer value) {
            addCriterion("mer_online_type <>", value, "merOnlineType");
            return (Criteria) this;
        }

        public Criteria andMerOnlineTypeGreaterThan(Integer value) {
            addCriterion("mer_online_type >", value, "merOnlineType");
            return (Criteria) this;
        }

        public Criteria andMerOnlineTypeGreaterThanOrEqualTo(Integer value) {
            addCriterion("mer_online_type >=", value, "merOnlineType");
            return (Criteria) this;
        }

        public Criteria andMerOnlineTypeLessThan(Integer value) {
            addCriterion("mer_online_type <", value, "merOnlineType");
            return (Criteria) this;
        }

        public Criteria andMerOnlineTypeLessThanOrEqualTo(Integer value) {
            addCriterion("mer_online_type <=", value, "merOnlineType");
            return (Criteria) this;
        }

        public Criteria andMerOnlineTypeIn(List<Integer> values) {
            addCriterion("mer_online_type in", values, "merOnlineType");
            return (Criteria) this;
        }

        public Criteria andMerOnlineTypeNotIn(List<Integer> values) {
            addCriterion("mer_online_type not in", values, "merOnlineType");
            return (Criteria) this;
        }

        public Criteria andMerOnlineTypeBetween(Integer value1, Integer value2) {
            addCriterion("mer_online_type between", value1, value2, "merOnlineType");
            return (Criteria) this;
        }

        public Criteria andMerOnlineTypeNotBetween(Integer value1, Integer value2) {
            addCriterion("mer_online_type not between", value1, value2, "merOnlineType");
            return (Criteria) this;
        }

        public Criteria andMerOnlineNameIsNull() {
            addCriterion("mer_online_name is null");
            return (Criteria) this;
        }

        public Criteria andMerOnlineNameIsNotNull() {
            addCriterion("mer_online_name is not null");
            return (Criteria) this;
        }

        public Criteria andMerOnlineNameEqualTo(String value) {
            addCriterion("mer_online_name =", value, "merOnlineName");
            return (Criteria) this;
        }

        public Criteria andMerOnlineNameNotEqualTo(String value) {
            addCriterion("mer_online_name <>", value, "merOnlineName");
            return (Criteria) this;
        }

        public Criteria andMerOnlineNameGreaterThan(String value) {
            addCriterion("mer_online_name >", value, "merOnlineName");
            return (Criteria) this;
        }

        public Criteria andMerOnlineNameGreaterThanOrEqualTo(String value) {
            addCriterion("mer_online_name >=", value, "merOnlineName");
            return (Criteria) this;
        }

        public Criteria andMerOnlineNameLessThan(String value) {
            addCriterion("mer_online_name <", value, "merOnlineName");
            return (Criteria) this;
        }

        public Criteria andMerOnlineNameLessThanOrEqualTo(String value) {
            addCriterion("mer_online_name <=", value, "merOnlineName");
            return (Criteria) this;
        }

        public Criteria andMerOnlineNameLike(String value) {
            addCriterion("mer_online_name like", value, "merOnlineName");
            return (Criteria) this;
        }

        public Criteria andMerOnlineNameNotLike(String value) {
            addCriterion("mer_online_name not like", value, "merOnlineName");
            return (Criteria) this;
        }

        public Criteria andMerOnlineNameIn(List<String> values) {
            addCriterion("mer_online_name in", values, "merOnlineName");
            return (Criteria) this;
        }

        public Criteria andMerOnlineNameNotIn(List<String> values) {
            addCriterion("mer_online_name not in", values, "merOnlineName");
            return (Criteria) this;
        }

        public Criteria andMerOnlineNameBetween(String value1, String value2) {
            addCriterion("mer_online_name between", value1, value2, "merOnlineName");
            return (Criteria) this;
        }

        public Criteria andMerOnlineNameNotBetween(String value1, String value2) {
            addCriterion("mer_online_name not between", value1, value2, "merOnlineName");
            return (Criteria) this;
        }

        public Criteria andMerMccCodeIsNull() {
            addCriterion("mer_mcc_code is null");
            return (Criteria) this;
        }

        public Criteria andMerMccCodeIsNotNull() {
            addCriterion("mer_mcc_code is not null");
            return (Criteria) this;
        }

        public Criteria andMerMccCodeEqualTo(String value) {
            addCriterion("mer_mcc_code =", value, "merMccCode");
            return (Criteria) this;
        }

        public Criteria andMerMccCodeNotEqualTo(String value) {
            addCriterion("mer_mcc_code <>", value, "merMccCode");
            return (Criteria) this;
        }

        public Criteria andMerMccCodeGreaterThan(String value) {
            addCriterion("mer_mcc_code >", value, "merMccCode");
            return (Criteria) this;
        }

        public Criteria andMerMccCodeGreaterThanOrEqualTo(String value) {
            addCriterion("mer_mcc_code >=", value, "merMccCode");
            return (Criteria) this;
        }

        public Criteria andMerMccCodeLessThan(String value) {
            addCriterion("mer_mcc_code <", value, "merMccCode");
            return (Criteria) this;
        }

        public Criteria andMerMccCodeLessThanOrEqualTo(String value) {
            addCriterion("mer_mcc_code <=", value, "merMccCode");
            return (Criteria) this;
        }

        public Criteria andMerMccCodeLike(String value) {
            addCriterion("mer_mcc_code like", value, "merMccCode");
            return (Criteria) this;
        }

        public Criteria andMerMccCodeNotLike(String value) {
            addCriterion("mer_mcc_code not like", value, "merMccCode");
            return (Criteria) this;
        }

        public Criteria andMerMccCodeIn(List<String> values) {
            addCriterion("mer_mcc_code in", values, "merMccCode");
            return (Criteria) this;
        }

        public Criteria andMerMccCodeNotIn(List<String> values) {
            addCriterion("mer_mcc_code not in", values, "merMccCode");
            return (Criteria) this;
        }

        public Criteria andMerMccCodeBetween(String value1, String value2) {
            addCriterion("mer_mcc_code between", value1, value2, "merMccCode");
            return (Criteria) this;
        }

        public Criteria andMerMccCodeNotBetween(String value1, String value2) {
            addCriterion("mer_mcc_code not between", value1, value2, "merMccCode");
            return (Criteria) this;
        }

        public Criteria andMerMccNameIsNull() {
            addCriterion("mer_mcc_name is null");
            return (Criteria) this;
        }

        public Criteria andMerMccNameIsNotNull() {
            addCriterion("mer_mcc_name is not null");
            return (Criteria) this;
        }

        public Criteria andMerMccNameEqualTo(String value) {
            addCriterion("mer_mcc_name =", value, "merMccName");
            return (Criteria) this;
        }

        public Criteria andMerMccNameNotEqualTo(String value) {
            addCriterion("mer_mcc_name <>", value, "merMccName");
            return (Criteria) this;
        }

        public Criteria andMerMccNameGreaterThan(String value) {
            addCriterion("mer_mcc_name >", value, "merMccName");
            return (Criteria) this;
        }

        public Criteria andMerMccNameGreaterThanOrEqualTo(String value) {
            addCriterion("mer_mcc_name >=", value, "merMccName");
            return (Criteria) this;
        }

        public Criteria andMerMccNameLessThan(String value) {
            addCriterion("mer_mcc_name <", value, "merMccName");
            return (Criteria) this;
        }

        public Criteria andMerMccNameLessThanOrEqualTo(String value) {
            addCriterion("mer_mcc_name <=", value, "merMccName");
            return (Criteria) this;
        }

        public Criteria andMerMccNameLike(String value) {
            addCriterion("mer_mcc_name like", value, "merMccName");
            return (Criteria) this;
        }

        public Criteria andMerMccNameNotLike(String value) {
            addCriterion("mer_mcc_name not like", value, "merMccName");
            return (Criteria) this;
        }

        public Criteria andMerMccNameIn(List<String> values) {
            addCriterion("mer_mcc_name in", values, "merMccName");
            return (Criteria) this;
        }

        public Criteria andMerMccNameNotIn(List<String> values) {
            addCriterion("mer_mcc_name not in", values, "merMccName");
            return (Criteria) this;
        }

        public Criteria andMerMccNameBetween(String value1, String value2) {
            addCriterion("mer_mcc_name between", value1, value2, "merMccName");
            return (Criteria) this;
        }

        public Criteria andMerMccNameNotBetween(String value1, String value2) {
            addCriterion("mer_mcc_name not between", value1, value2, "merMccName");
            return (Criteria) this;
        }

        public Criteria andBlisUrlIsNull() {
            addCriterion("blis_url is null");
            return (Criteria) this;
        }

        public Criteria andBlisUrlIsNotNull() {
            addCriterion("blis_url is not null");
            return (Criteria) this;
        }

        public Criteria andBlisUrlEqualTo(String value) {
            addCriterion("blis_url =", value, "blisUrl");
            return (Criteria) this;
        }

        public Criteria andBlisUrlNotEqualTo(String value) {
            addCriterion("blis_url <>", value, "blisUrl");
            return (Criteria) this;
        }

        public Criteria andBlisUrlGreaterThan(String value) {
            addCriterion("blis_url >", value, "blisUrl");
            return (Criteria) this;
        }

        public Criteria andBlisUrlGreaterThanOrEqualTo(String value) {
            addCriterion("blis_url >=", value, "blisUrl");
            return (Criteria) this;
        }

        public Criteria andBlisUrlLessThan(String value) {
            addCriterion("blis_url <", value, "blisUrl");
            return (Criteria) this;
        }

        public Criteria andBlisUrlLessThanOrEqualTo(String value) {
            addCriterion("blis_url <=", value, "blisUrl");
            return (Criteria) this;
        }

        public Criteria andBlisUrlLike(String value) {
            addCriterion("blis_url like", value, "blisUrl");
            return (Criteria) this;
        }

        public Criteria andBlisUrlNotLike(String value) {
            addCriterion("blis_url not like", value, "blisUrl");
            return (Criteria) this;
        }

        public Criteria andBlisUrlIn(List<String> values) {
            addCriterion("blis_url in", values, "blisUrl");
            return (Criteria) this;
        }

        public Criteria andBlisUrlNotIn(List<String> values) {
            addCriterion("blis_url not in", values, "blisUrl");
            return (Criteria) this;
        }

        public Criteria andBlisUrlBetween(String value1, String value2) {
            addCriterion("blis_url between", value1, value2, "blisUrl");
            return (Criteria) this;
        }

        public Criteria andBlisUrlNotBetween(String value1, String value2) {
            addCriterion("blis_url not between", value1, value2, "blisUrl");
            return (Criteria) this;
        }

        public Criteria andBlisNameIsNull() {
            addCriterion("blis_name is null");
            return (Criteria) this;
        }

        public Criteria andBlisNameIsNotNull() {
            addCriterion("blis_name is not null");
            return (Criteria) this;
        }

        public Criteria andBlisNameEqualTo(String value) {
            addCriterion("blis_name =", value, "blisName");
            return (Criteria) this;
        }

        public Criteria andBlisNameNotEqualTo(String value) {
            addCriterion("blis_name <>", value, "blisName");
            return (Criteria) this;
        }

        public Criteria andBlisNameGreaterThan(String value) {
            addCriterion("blis_name >", value, "blisName");
            return (Criteria) this;
        }

        public Criteria andBlisNameGreaterThanOrEqualTo(String value) {
            addCriterion("blis_name >=", value, "blisName");
            return (Criteria) this;
        }

        public Criteria andBlisNameLessThan(String value) {
            addCriterion("blis_name <", value, "blisName");
            return (Criteria) this;
        }

        public Criteria andBlisNameLessThanOrEqualTo(String value) {
            addCriterion("blis_name <=", value, "blisName");
            return (Criteria) this;
        }

        public Criteria andBlisNameLike(String value) {
            addCriterion("blis_name like", value, "blisName");
            return (Criteria) this;
        }

        public Criteria andBlisNameNotLike(String value) {
            addCriterion("blis_name not like", value, "blisName");
            return (Criteria) this;
        }

        public Criteria andBlisNameIn(List<String> values) {
            addCriterion("blis_name in", values, "blisName");
            return (Criteria) this;
        }

        public Criteria andBlisNameNotIn(List<String> values) {
            addCriterion("blis_name not in", values, "blisName");
            return (Criteria) this;
        }

        public Criteria andBlisNameBetween(String value1, String value2) {
            addCriterion("blis_name between", value1, value2, "blisName");
            return (Criteria) this;
        }

        public Criteria andBlisNameNotBetween(String value1, String value2) {
            addCriterion("blis_name not between", value1, value2, "blisName");
            return (Criteria) this;
        }

        public Criteria andBlisNoIsNull() {
            addCriterion("blis_no is null");
            return (Criteria) this;
        }

        public Criteria andBlisNoIsNotNull() {
            addCriterion("blis_no is not null");
            return (Criteria) this;
        }

        public Criteria andBlisNoEqualTo(String value) {
            addCriterion("blis_no =", value, "blisNo");
            return (Criteria) this;
        }

        public Criteria andBlisNoNotEqualTo(String value) {
            addCriterion("blis_no <>", value, "blisNo");
            return (Criteria) this;
        }

        public Criteria andBlisNoGreaterThan(String value) {
            addCriterion("blis_no >", value, "blisNo");
            return (Criteria) this;
        }

        public Criteria andBlisNoGreaterThanOrEqualTo(String value) {
            addCriterion("blis_no >=", value, "blisNo");
            return (Criteria) this;
        }

        public Criteria andBlisNoLessThan(String value) {
            addCriterion("blis_no <", value, "blisNo");
            return (Criteria) this;
        }

        public Criteria andBlisNoLessThanOrEqualTo(String value) {
            addCriterion("blis_no <=", value, "blisNo");
            return (Criteria) this;
        }

        public Criteria andBlisNoLike(String value) {
            addCriterion("blis_no like", value, "blisNo");
            return (Criteria) this;
        }

        public Criteria andBlisNoNotLike(String value) {
            addCriterion("blis_no not like", value, "blisNo");
            return (Criteria) this;
        }

        public Criteria andBlisNoIn(List<String> values) {
            addCriterion("blis_no in", values, "blisNo");
            return (Criteria) this;
        }

        public Criteria andBlisNoNotIn(List<String> values) {
            addCriterion("blis_no not in", values, "blisNo");
            return (Criteria) this;
        }

        public Criteria andBlisNoBetween(String value1, String value2) {
            addCriterion("blis_no between", value1, value2, "blisNo");
            return (Criteria) this;
        }

        public Criteria andBlisNoNotBetween(String value1, String value2) {
            addCriterion("blis_no not between", value1, value2, "blisNo");
            return (Criteria) this;
        }

        public Criteria andBlisRegAddressIsNull() {
            addCriterion("blis_reg_address is null");
            return (Criteria) this;
        }

        public Criteria andBlisRegAddressIsNotNull() {
            addCriterion("blis_reg_address is not null");
            return (Criteria) this;
        }

        public Criteria andBlisRegAddressEqualTo(String value) {
            addCriterion("blis_reg_address =", value, "blisRegAddress");
            return (Criteria) this;
        }

        public Criteria andBlisRegAddressNotEqualTo(String value) {
            addCriterion("blis_reg_address <>", value, "blisRegAddress");
            return (Criteria) this;
        }

        public Criteria andBlisRegAddressGreaterThan(String value) {
            addCriterion("blis_reg_address >", value, "blisRegAddress");
            return (Criteria) this;
        }

        public Criteria andBlisRegAddressGreaterThanOrEqualTo(String value) {
            addCriterion("blis_reg_address >=", value, "blisRegAddress");
            return (Criteria) this;
        }

        public Criteria andBlisRegAddressLessThan(String value) {
            addCriterion("blis_reg_address <", value, "blisRegAddress");
            return (Criteria) this;
        }

        public Criteria andBlisRegAddressLessThanOrEqualTo(String value) {
            addCriterion("blis_reg_address <=", value, "blisRegAddress");
            return (Criteria) this;
        }

        public Criteria andBlisRegAddressLike(String value) {
            addCriterion("blis_reg_address like", value, "blisRegAddress");
            return (Criteria) this;
        }

        public Criteria andBlisRegAddressNotLike(String value) {
            addCriterion("blis_reg_address not like", value, "blisRegAddress");
            return (Criteria) this;
        }

        public Criteria andBlisRegAddressIn(List<String> values) {
            addCriterion("blis_reg_address in", values, "blisRegAddress");
            return (Criteria) this;
        }

        public Criteria andBlisRegAddressNotIn(List<String> values) {
            addCriterion("blis_reg_address not in", values, "blisRegAddress");
            return (Criteria) this;
        }

        public Criteria andBlisRegAddressBetween(String value1, String value2) {
            addCriterion("blis_reg_address between", value1, value2, "blisRegAddress");
            return (Criteria) this;
        }

        public Criteria andBlisRegAddressNotBetween(String value1, String value2) {
            addCriterion("blis_reg_address not between", value1, value2, "blisRegAddress");
            return (Criteria) this;
        }

        public Criteria andBlisPeriodTypeIsNull() {
            addCriterion("blis_period_type is null");
            return (Criteria) this;
        }

        public Criteria andBlisPeriodTypeIsNotNull() {
            addCriterion("blis_period_type is not null");
            return (Criteria) this;
        }

        public Criteria andBlisPeriodTypeEqualTo(Integer value) {
            addCriterion("blis_period_type =", value, "blisPeriodType");
            return (Criteria) this;
        }

        public Criteria andBlisPeriodTypeNotEqualTo(Integer value) {
            addCriterion("blis_period_type <>", value, "blisPeriodType");
            return (Criteria) this;
        }

        public Criteria andBlisPeriodTypeGreaterThan(Integer value) {
            addCriterion("blis_period_type >", value, "blisPeriodType");
            return (Criteria) this;
        }

        public Criteria andBlisPeriodTypeGreaterThanOrEqualTo(Integer value) {
            addCriterion("blis_period_type >=", value, "blisPeriodType");
            return (Criteria) this;
        }

        public Criteria andBlisPeriodTypeLessThan(Integer value) {
            addCriterion("blis_period_type <", value, "blisPeriodType");
            return (Criteria) this;
        }

        public Criteria andBlisPeriodTypeLessThanOrEqualTo(Integer value) {
            addCriterion("blis_period_type <=", value, "blisPeriodType");
            return (Criteria) this;
        }

        public Criteria andBlisPeriodTypeIn(List<Integer> values) {
            addCriterion("blis_period_type in", values, "blisPeriodType");
            return (Criteria) this;
        }

        public Criteria andBlisPeriodTypeNotIn(List<Integer> values) {
            addCriterion("blis_period_type not in", values, "blisPeriodType");
            return (Criteria) this;
        }

        public Criteria andBlisPeriodTypeBetween(Integer value1, Integer value2) {
            addCriterion("blis_period_type between", value1, value2, "blisPeriodType");
            return (Criteria) this;
        }

        public Criteria andBlisPeriodTypeNotBetween(Integer value1, Integer value2) {
            addCriterion("blis_period_type not between", value1, value2, "blisPeriodType");
            return (Criteria) this;
        }

        public Criteria andBlisPeriodStartIsNull() {
            addCriterion("blis_period_start is null");
            return (Criteria) this;
        }

        public Criteria andBlisPeriodStartIsNotNull() {
            addCriterion("blis_period_start is not null");
            return (Criteria) this;
        }

        public Criteria andBlisPeriodStartEqualTo(String value) {
            addCriterion("blis_period_start =", value, "blisPeriodStart");
            return (Criteria) this;
        }

        public Criteria andBlisPeriodStartNotEqualTo(String value) {
            addCriterion("blis_period_start <>", value, "blisPeriodStart");
            return (Criteria) this;
        }

        public Criteria andBlisPeriodStartGreaterThan(String value) {
            addCriterion("blis_period_start >", value, "blisPeriodStart");
            return (Criteria) this;
        }

        public Criteria andBlisPeriodStartGreaterThanOrEqualTo(String value) {
            addCriterion("blis_period_start >=", value, "blisPeriodStart");
            return (Criteria) this;
        }

        public Criteria andBlisPeriodStartLessThan(String value) {
            addCriterion("blis_period_start <", value, "blisPeriodStart");
            return (Criteria) this;
        }

        public Criteria andBlisPeriodStartLessThanOrEqualTo(String value) {
            addCriterion("blis_period_start <=", value, "blisPeriodStart");
            return (Criteria) this;
        }

        public Criteria andBlisPeriodStartLike(String value) {
            addCriterion("blis_period_start like", value, "blisPeriodStart");
            return (Criteria) this;
        }

        public Criteria andBlisPeriodStartNotLike(String value) {
            addCriterion("blis_period_start not like", value, "blisPeriodStart");
            return (Criteria) this;
        }

        public Criteria andBlisPeriodStartIn(List<String> values) {
            addCriterion("blis_period_start in", values, "blisPeriodStart");
            return (Criteria) this;
        }

        public Criteria andBlisPeriodStartNotIn(List<String> values) {
            addCriterion("blis_period_start not in", values, "blisPeriodStart");
            return (Criteria) this;
        }

        public Criteria andBlisPeriodStartBetween(String value1, String value2) {
            addCriterion("blis_period_start between", value1, value2, "blisPeriodStart");
            return (Criteria) this;
        }

        public Criteria andBlisPeriodStartNotBetween(String value1, String value2) {
            addCriterion("blis_period_start not between", value1, value2, "blisPeriodStart");
            return (Criteria) this;
        }

        public Criteria andBlisPeriodEndIsNull() {
            addCriterion("blis_period_end is null");
            return (Criteria) this;
        }

        public Criteria andBlisPeriodEndIsNotNull() {
            addCriterion("blis_period_end is not null");
            return (Criteria) this;
        }

        public Criteria andBlisPeriodEndEqualTo(String value) {
            addCriterion("blis_period_end =", value, "blisPeriodEnd");
            return (Criteria) this;
        }

        public Criteria andBlisPeriodEndNotEqualTo(String value) {
            addCriterion("blis_period_end <>", value, "blisPeriodEnd");
            return (Criteria) this;
        }

        public Criteria andBlisPeriodEndGreaterThan(String value) {
            addCriterion("blis_period_end >", value, "blisPeriodEnd");
            return (Criteria) this;
        }

        public Criteria andBlisPeriodEndGreaterThanOrEqualTo(String value) {
            addCriterion("blis_period_end >=", value, "blisPeriodEnd");
            return (Criteria) this;
        }

        public Criteria andBlisPeriodEndLessThan(String value) {
            addCriterion("blis_period_end <", value, "blisPeriodEnd");
            return (Criteria) this;
        }

        public Criteria andBlisPeriodEndLessThanOrEqualTo(String value) {
            addCriterion("blis_period_end <=", value, "blisPeriodEnd");
            return (Criteria) this;
        }

        public Criteria andBlisPeriodEndLike(String value) {
            addCriterion("blis_period_end like", value, "blisPeriodEnd");
            return (Criteria) this;
        }

        public Criteria andBlisPeriodEndNotLike(String value) {
            addCriterion("blis_period_end not like", value, "blisPeriodEnd");
            return (Criteria) this;
        }

        public Criteria andBlisPeriodEndIn(List<String> values) {
            addCriterion("blis_period_end in", values, "blisPeriodEnd");
            return (Criteria) this;
        }

        public Criteria andBlisPeriodEndNotIn(List<String> values) {
            addCriterion("blis_period_end not in", values, "blisPeriodEnd");
            return (Criteria) this;
        }

        public Criteria andBlisPeriodEndBetween(String value1, String value2) {
            addCriterion("blis_period_end between", value1, value2, "blisPeriodEnd");
            return (Criteria) this;
        }

        public Criteria andBlisPeriodEndNotBetween(String value1, String value2) {
            addCriterion("blis_period_end not between", value1, value2, "blisPeriodEnd");
            return (Criteria) this;
        }

        public Criteria andLarNameIsNull() {
            addCriterion("lar_name is null");
            return (Criteria) this;
        }

        public Criteria andLarNameIsNotNull() {
            addCriterion("lar_name is not null");
            return (Criteria) this;
        }

        public Criteria andLarNameEqualTo(String value) {
            addCriterion("lar_name =", value, "larName");
            return (Criteria) this;
        }

        public Criteria andLarNameNotEqualTo(String value) {
            addCriterion("lar_name <>", value, "larName");
            return (Criteria) this;
        }

        public Criteria andLarNameGreaterThan(String value) {
            addCriterion("lar_name >", value, "larName");
            return (Criteria) this;
        }

        public Criteria andLarNameGreaterThanOrEqualTo(String value) {
            addCriterion("lar_name >=", value, "larName");
            return (Criteria) this;
        }

        public Criteria andLarNameLessThan(String value) {
            addCriterion("lar_name <", value, "larName");
            return (Criteria) this;
        }

        public Criteria andLarNameLessThanOrEqualTo(String value) {
            addCriterion("lar_name <=", value, "larName");
            return (Criteria) this;
        }

        public Criteria andLarNameLike(String value) {
            addCriterion("lar_name like", value, "larName");
            return (Criteria) this;
        }

        public Criteria andLarNameNotLike(String value) {
            addCriterion("lar_name not like", value, "larName");
            return (Criteria) this;
        }

        public Criteria andLarNameIn(List<String> values) {
            addCriterion("lar_name in", values, "larName");
            return (Criteria) this;
        }

        public Criteria andLarNameNotIn(List<String> values) {
            addCriterion("lar_name not in", values, "larName");
            return (Criteria) this;
        }

        public Criteria andLarNameBetween(String value1, String value2) {
            addCriterion("lar_name between", value1, value2, "larName");
            return (Criteria) this;
        }

        public Criteria andLarNameNotBetween(String value1, String value2) {
            addCriterion("lar_name not between", value1, value2, "larName");
            return (Criteria) this;
        }

        public Criteria andLarIdCardIsNull() {
            addCriterion("lar_id_card is null");
            return (Criteria) this;
        }

        public Criteria andLarIdCardIsNotNull() {
            addCriterion("lar_id_card is not null");
            return (Criteria) this;
        }

        public Criteria andLarIdCardEqualTo(String value) {
            addCriterion("lar_id_card =", value, "larIdCard");
            return (Criteria) this;
        }

        public Criteria andLarIdCardNotEqualTo(String value) {
            addCriterion("lar_id_card <>", value, "larIdCard");
            return (Criteria) this;
        }

        public Criteria andLarIdCardGreaterThan(String value) {
            addCriterion("lar_id_card >", value, "larIdCard");
            return (Criteria) this;
        }

        public Criteria andLarIdCardGreaterThanOrEqualTo(String value) {
            addCriterion("lar_id_card >=", value, "larIdCard");
            return (Criteria) this;
        }

        public Criteria andLarIdCardLessThan(String value) {
            addCriterion("lar_id_card <", value, "larIdCard");
            return (Criteria) this;
        }

        public Criteria andLarIdCardLessThanOrEqualTo(String value) {
            addCriterion("lar_id_card <=", value, "larIdCard");
            return (Criteria) this;
        }

        public Criteria andLarIdCardLike(String value) {
            addCriterion("lar_id_card like", value, "larIdCard");
            return (Criteria) this;
        }

        public Criteria andLarIdCardNotLike(String value) {
            addCriterion("lar_id_card not like", value, "larIdCard");
            return (Criteria) this;
        }

        public Criteria andLarIdCardIn(List<String> values) {
            addCriterion("lar_id_card in", values, "larIdCard");
            return (Criteria) this;
        }

        public Criteria andLarIdCardNotIn(List<String> values) {
            addCriterion("lar_id_card not in", values, "larIdCard");
            return (Criteria) this;
        }

        public Criteria andLarIdCardBetween(String value1, String value2) {
            addCriterion("lar_id_card between", value1, value2, "larIdCard");
            return (Criteria) this;
        }

        public Criteria andLarIdCardNotBetween(String value1, String value2) {
            addCriterion("lar_id_card not between", value1, value2, "larIdCard");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPortraitImgIsNull() {
            addCriterion("lar_id_card_portrait_img is null");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPortraitImgIsNotNull() {
            addCriterion("lar_id_card_portrait_img is not null");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPortraitImgEqualTo(String value) {
            addCriterion("lar_id_card_portrait_img =", value, "larIdCardPortraitImg");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPortraitImgNotEqualTo(String value) {
            addCriterion("lar_id_card_portrait_img <>", value, "larIdCardPortraitImg");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPortraitImgGreaterThan(String value) {
            addCriterion("lar_id_card_portrait_img >", value, "larIdCardPortraitImg");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPortraitImgGreaterThanOrEqualTo(String value) {
            addCriterion("lar_id_card_portrait_img >=", value, "larIdCardPortraitImg");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPortraitImgLessThan(String value) {
            addCriterion("lar_id_card_portrait_img <", value, "larIdCardPortraitImg");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPortraitImgLessThanOrEqualTo(String value) {
            addCriterion("lar_id_card_portrait_img <=", value, "larIdCardPortraitImg");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPortraitImgLike(String value) {
            addCriterion("lar_id_card_portrait_img like", value, "larIdCardPortraitImg");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPortraitImgNotLike(String value) {
            addCriterion("lar_id_card_portrait_img not like", value, "larIdCardPortraitImg");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPortraitImgIn(List<String> values) {
            addCriterion("lar_id_card_portrait_img in", values, "larIdCardPortraitImg");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPortraitImgNotIn(List<String> values) {
            addCriterion("lar_id_card_portrait_img not in", values, "larIdCardPortraitImg");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPortraitImgBetween(String value1, String value2) {
            addCriterion("lar_id_card_portrait_img between", value1, value2, "larIdCardPortraitImg");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPortraitImgNotBetween(String value1, String value2) {
            addCriterion("lar_id_card_portrait_img not between", value1, value2, "larIdCardPortraitImg");
            return (Criteria) this;
        }

        public Criteria andLarIdCardNationalEmblemImgIsNull() {
            addCriterion("lar_id_card_national_emblem_img is null");
            return (Criteria) this;
        }

        public Criteria andLarIdCardNationalEmblemImgIsNotNull() {
            addCriterion("lar_id_card_national_emblem_img is not null");
            return (Criteria) this;
        }

        public Criteria andLarIdCardNationalEmblemImgEqualTo(String value) {
            addCriterion("lar_id_card_national_emblem_img =", value, "larIdCardNationalEmblemImg");
            return (Criteria) this;
        }

        public Criteria andLarIdCardNationalEmblemImgNotEqualTo(String value) {
            addCriterion("lar_id_card_national_emblem_img <>", value, "larIdCardNationalEmblemImg");
            return (Criteria) this;
        }

        public Criteria andLarIdCardNationalEmblemImgGreaterThan(String value) {
            addCriterion("lar_id_card_national_emblem_img >", value, "larIdCardNationalEmblemImg");
            return (Criteria) this;
        }

        public Criteria andLarIdCardNationalEmblemImgGreaterThanOrEqualTo(String value) {
            addCriterion("lar_id_card_national_emblem_img >=", value, "larIdCardNationalEmblemImg");
            return (Criteria) this;
        }

        public Criteria andLarIdCardNationalEmblemImgLessThan(String value) {
            addCriterion("lar_id_card_national_emblem_img <", value, "larIdCardNationalEmblemImg");
            return (Criteria) this;
        }

        public Criteria andLarIdCardNationalEmblemImgLessThanOrEqualTo(String value) {
            addCriterion("lar_id_card_national_emblem_img <=", value, "larIdCardNationalEmblemImg");
            return (Criteria) this;
        }

        public Criteria andLarIdCardNationalEmblemImgLike(String value) {
            addCriterion("lar_id_card_national_emblem_img like", value, "larIdCardNationalEmblemImg");
            return (Criteria) this;
        }

        public Criteria andLarIdCardNationalEmblemImgNotLike(String value) {
            addCriterion("lar_id_card_national_emblem_img not like", value, "larIdCardNationalEmblemImg");
            return (Criteria) this;
        }

        public Criteria andLarIdCardNationalEmblemImgIn(List<String> values) {
            addCriterion("lar_id_card_national_emblem_img in", values, "larIdCardNationalEmblemImg");
            return (Criteria) this;
        }

        public Criteria andLarIdCardNationalEmblemImgNotIn(List<String> values) {
            addCriterion("lar_id_card_national_emblem_img not in", values, "larIdCardNationalEmblemImg");
            return (Criteria) this;
        }

        public Criteria andLarIdCardNationalEmblemImgBetween(String value1, String value2) {
            addCriterion("lar_id_card_national_emblem_img between", value1, value2, "larIdCardNationalEmblemImg");
            return (Criteria) this;
        }

        public Criteria andLarIdCardNationalEmblemImgNotBetween(String value1, String value2) {
            addCriterion("lar_id_card_national_emblem_img not between", value1, value2, "larIdCardNationalEmblemImg");
            return (Criteria) this;
        }

        public Criteria andLarIdCardAddressIsNull() {
            addCriterion("lar_id_card_address is null");
            return (Criteria) this;
        }

        public Criteria andLarIdCardAddressIsNotNull() {
            addCriterion("lar_id_card_address is not null");
            return (Criteria) this;
        }

        public Criteria andLarIdCardAddressEqualTo(String value) {
            addCriterion("lar_id_card_address =", value, "larIdCardAddress");
            return (Criteria) this;
        }

        public Criteria andLarIdCardAddressNotEqualTo(String value) {
            addCriterion("lar_id_card_address <>", value, "larIdCardAddress");
            return (Criteria) this;
        }

        public Criteria andLarIdCardAddressGreaterThan(String value) {
            addCriterion("lar_id_card_address >", value, "larIdCardAddress");
            return (Criteria) this;
        }

        public Criteria andLarIdCardAddressGreaterThanOrEqualTo(String value) {
            addCriterion("lar_id_card_address >=", value, "larIdCardAddress");
            return (Criteria) this;
        }

        public Criteria andLarIdCardAddressLessThan(String value) {
            addCriterion("lar_id_card_address <", value, "larIdCardAddress");
            return (Criteria) this;
        }

        public Criteria andLarIdCardAddressLessThanOrEqualTo(String value) {
            addCriterion("lar_id_card_address <=", value, "larIdCardAddress");
            return (Criteria) this;
        }

        public Criteria andLarIdCardAddressLike(String value) {
            addCriterion("lar_id_card_address like", value, "larIdCardAddress");
            return (Criteria) this;
        }

        public Criteria andLarIdCardAddressNotLike(String value) {
            addCriterion("lar_id_card_address not like", value, "larIdCardAddress");
            return (Criteria) this;
        }

        public Criteria andLarIdCardAddressIn(List<String> values) {
            addCriterion("lar_id_card_address in", values, "larIdCardAddress");
            return (Criteria) this;
        }

        public Criteria andLarIdCardAddressNotIn(List<String> values) {
            addCriterion("lar_id_card_address not in", values, "larIdCardAddress");
            return (Criteria) this;
        }

        public Criteria andLarIdCardAddressBetween(String value1, String value2) {
            addCriterion("lar_id_card_address between", value1, value2, "larIdCardAddress");
            return (Criteria) this;
        }

        public Criteria andLarIdCardAddressNotBetween(String value1, String value2) {
            addCriterion("lar_id_card_address not between", value1, value2, "larIdCardAddress");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPeriodTypeIsNull() {
            addCriterion("lar_id_card_period_type is null");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPeriodTypeIsNotNull() {
            addCriterion("lar_id_card_period_type is not null");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPeriodTypeEqualTo(Integer value) {
            addCriterion("lar_id_card_period_type =", value, "larIdCardPeriodType");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPeriodTypeNotEqualTo(Integer value) {
            addCriterion("lar_id_card_period_type <>", value, "larIdCardPeriodType");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPeriodTypeGreaterThan(Integer value) {
            addCriterion("lar_id_card_period_type >", value, "larIdCardPeriodType");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPeriodTypeGreaterThanOrEqualTo(Integer value) {
            addCriterion("lar_id_card_period_type >=", value, "larIdCardPeriodType");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPeriodTypeLessThan(Integer value) {
            addCriterion("lar_id_card_period_type <", value, "larIdCardPeriodType");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPeriodTypeLessThanOrEqualTo(Integer value) {
            addCriterion("lar_id_card_period_type <=", value, "larIdCardPeriodType");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPeriodTypeIn(List<Integer> values) {
            addCriterion("lar_id_card_period_type in", values, "larIdCardPeriodType");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPeriodTypeNotIn(List<Integer> values) {
            addCriterion("lar_id_card_period_type not in", values, "larIdCardPeriodType");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPeriodTypeBetween(Integer value1, Integer value2) {
            addCriterion("lar_id_card_period_type between", value1, value2, "larIdCardPeriodType");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPeriodTypeNotBetween(Integer value1, Integer value2) {
            addCriterion("lar_id_card_period_type not between", value1, value2, "larIdCardPeriodType");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPeriodStartIsNull() {
            addCriterion("lar_id_card_period_start is null");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPeriodStartIsNotNull() {
            addCriterion("lar_id_card_period_start is not null");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPeriodStartEqualTo(String value) {
            addCriterion("lar_id_card_period_start =", value, "larIdCardPeriodStart");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPeriodStartNotEqualTo(String value) {
            addCriterion("lar_id_card_period_start <>", value, "larIdCardPeriodStart");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPeriodStartGreaterThan(String value) {
            addCriterion("lar_id_card_period_start >", value, "larIdCardPeriodStart");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPeriodStartGreaterThanOrEqualTo(String value) {
            addCriterion("lar_id_card_period_start >=", value, "larIdCardPeriodStart");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPeriodStartLessThan(String value) {
            addCriterion("lar_id_card_period_start <", value, "larIdCardPeriodStart");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPeriodStartLessThanOrEqualTo(String value) {
            addCriterion("lar_id_card_period_start <=", value, "larIdCardPeriodStart");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPeriodStartLike(String value) {
            addCriterion("lar_id_card_period_start like", value, "larIdCardPeriodStart");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPeriodStartNotLike(String value) {
            addCriterion("lar_id_card_period_start not like", value, "larIdCardPeriodStart");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPeriodStartIn(List<String> values) {
            addCriterion("lar_id_card_period_start in", values, "larIdCardPeriodStart");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPeriodStartNotIn(List<String> values) {
            addCriterion("lar_id_card_period_start not in", values, "larIdCardPeriodStart");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPeriodStartBetween(String value1, String value2) {
            addCriterion("lar_id_card_period_start between", value1, value2, "larIdCardPeriodStart");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPeriodStartNotBetween(String value1, String value2) {
            addCriterion("lar_id_card_period_start not between", value1, value2, "larIdCardPeriodStart");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPeriodEndIsNull() {
            addCriterion("lar_id_card_period_end is null");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPeriodEndIsNotNull() {
            addCriterion("lar_id_card_period_end is not null");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPeriodEndEqualTo(String value) {
            addCriterion("lar_id_card_period_end =", value, "larIdCardPeriodEnd");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPeriodEndNotEqualTo(String value) {
            addCriterion("lar_id_card_period_end <>", value, "larIdCardPeriodEnd");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPeriodEndGreaterThan(String value) {
            addCriterion("lar_id_card_period_end >", value, "larIdCardPeriodEnd");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPeriodEndGreaterThanOrEqualTo(String value) {
            addCriterion("lar_id_card_period_end >=", value, "larIdCardPeriodEnd");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPeriodEndLessThan(String value) {
            addCriterion("lar_id_card_period_end <", value, "larIdCardPeriodEnd");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPeriodEndLessThanOrEqualTo(String value) {
            addCriterion("lar_id_card_period_end <=", value, "larIdCardPeriodEnd");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPeriodEndLike(String value) {
            addCriterion("lar_id_card_period_end like", value, "larIdCardPeriodEnd");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPeriodEndNotLike(String value) {
            addCriterion("lar_id_card_period_end not like", value, "larIdCardPeriodEnd");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPeriodEndIn(List<String> values) {
            addCriterion("lar_id_card_period_end in", values, "larIdCardPeriodEnd");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPeriodEndNotIn(List<String> values) {
            addCriterion("lar_id_card_period_end not in", values, "larIdCardPeriodEnd");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPeriodEndBetween(String value1, String value2) {
            addCriterion("lar_id_card_period_end between", value1, value2, "larIdCardPeriodEnd");
            return (Criteria) this;
        }

        public Criteria andLarIdCardPeriodEndNotBetween(String value1, String value2) {
            addCriterion("lar_id_card_period_end not between", value1, value2, "larIdCardPeriodEnd");
            return (Criteria) this;
        }

        public Criteria andCompleteStatusIsNull() {
            addCriterion("complete_status is null");
            return (Criteria) this;
        }

        public Criteria andCompleteStatusIsNotNull() {
            addCriterion("complete_status is not null");
            return (Criteria) this;
        }

        public Criteria andCompleteStatusEqualTo(Integer value) {
            addCriterion("complete_status =", value, "completeStatus");
            return (Criteria) this;
        }

        public Criteria andCompleteStatusNotEqualTo(Integer value) {
            addCriterion("complete_status <>", value, "completeStatus");
            return (Criteria) this;
        }

        public Criteria andCompleteStatusGreaterThan(Integer value) {
            addCriterion("complete_status >", value, "completeStatus");
            return (Criteria) this;
        }

        public Criteria andCompleteStatusGreaterThanOrEqualTo(Integer value) {
            addCriterion("complete_status >=", value, "completeStatus");
            return (Criteria) this;
        }

        public Criteria andCompleteStatusLessThan(Integer value) {
            addCriterion("complete_status <", value, "completeStatus");
            return (Criteria) this;
        }

        public Criteria andCompleteStatusLessThanOrEqualTo(Integer value) {
            addCriterion("complete_status <=", value, "completeStatus");
            return (Criteria) this;
        }

        public Criteria andCompleteStatusIn(List<Integer> values) {
            addCriterion("complete_status in", values, "completeStatus");
            return (Criteria) this;
        }

        public Criteria andCompleteStatusNotIn(List<Integer> values) {
            addCriterion("complete_status not in", values, "completeStatus");
            return (Criteria) this;
        }

        public Criteria andCompleteStatusBetween(Integer value1, Integer value2) {
            addCriterion("complete_status between", value1, value2, "completeStatus");
            return (Criteria) this;
        }

        public Criteria andCompleteStatusNotBetween(Integer value1, Integer value2) {
            addCriterion("complete_status not between", value1, value2, "completeStatus");
            return (Criteria) this;
        }

        public Criteria andMerStatusIsNull() {
            addCriterion("mer_status is null");
            return (Criteria) this;
        }

        public Criteria andMerStatusIsNotNull() {
            addCriterion("mer_status is not null");
            return (Criteria) this;
        }

        public Criteria andMerStatusEqualTo(Integer value) {
            addCriterion("mer_status =", value, "merStatus");
            return (Criteria) this;
        }

        public Criteria andMerStatusNotEqualTo(Integer value) {
            addCriterion("mer_status <>", value, "merStatus");
            return (Criteria) this;
        }

        public Criteria andMerStatusGreaterThan(Integer value) {
            addCriterion("mer_status >", value, "merStatus");
            return (Criteria) this;
        }

        public Criteria andMerStatusGreaterThanOrEqualTo(Integer value) {
            addCriterion("mer_status >=", value, "merStatus");
            return (Criteria) this;
        }

        public Criteria andMerStatusLessThan(Integer value) {
            addCriterion("mer_status <", value, "merStatus");
            return (Criteria) this;
        }

        public Criteria andMerStatusLessThanOrEqualTo(Integer value) {
            addCriterion("mer_status <=", value, "merStatus");
            return (Criteria) this;
        }

        public Criteria andMerStatusIn(List<Integer> values) {
            addCriterion("mer_status in", values, "merStatus");
            return (Criteria) this;
        }

        public Criteria andMerStatusNotIn(List<Integer> values) {
            addCriterion("mer_status not in", values, "merStatus");
            return (Criteria) this;
        }

        public Criteria andMerStatusBetween(Integer value1, Integer value2) {
            addCriterion("mer_status between", value1, value2, "merStatus");
            return (Criteria) this;
        }

        public Criteria andMerStatusNotBetween(Integer value1, Integer value2) {
            addCriterion("mer_status not between", value1, value2, "merStatus");
            return (Criteria) this;
        }

        public Criteria andCreateSalesmanIdIsNull() {
            addCriterion("create_salesman_id is null");
            return (Criteria) this;
        }

        public Criteria andCreateSalesmanIdIsNotNull() {
            addCriterion("create_salesman_id is not null");
            return (Criteria) this;
        }

        public Criteria andCreateSalesmanIdEqualTo(Long value) {
            addCriterion("create_salesman_id =", value, "createSalesmanId");
            return (Criteria) this;
        }

        public Criteria andCreateSalesmanIdNotEqualTo(Long value) {
            addCriterion("create_salesman_id <>", value, "createSalesmanId");
            return (Criteria) this;
        }

        public Criteria andCreateSalesmanIdGreaterThan(Long value) {
            addCriterion("create_salesman_id >", value, "createSalesmanId");
            return (Criteria) this;
        }

        public Criteria andCreateSalesmanIdGreaterThanOrEqualTo(Long value) {
            addCriterion("create_salesman_id >=", value, "createSalesmanId");
            return (Criteria) this;
        }

        public Criteria andCreateSalesmanIdLessThan(Long value) {
            addCriterion("create_salesman_id <", value, "createSalesmanId");
            return (Criteria) this;
        }

        public Criteria andCreateSalesmanIdLessThanOrEqualTo(Long value) {
            addCriterion("create_salesman_id <=", value, "createSalesmanId");
            return (Criteria) this;
        }

        public Criteria andCreateSalesmanIdIn(List<Long> values) {
            addCriterion("create_salesman_id in", values, "createSalesmanId");
            return (Criteria) this;
        }

        public Criteria andCreateSalesmanIdNotIn(List<Long> values) {
            addCriterion("create_salesman_id not in", values, "createSalesmanId");
            return (Criteria) this;
        }

        public Criteria andCreateSalesmanIdBetween(Long value1, Long value2) {
            addCriterion("create_salesman_id between", value1, value2, "createSalesmanId");
            return (Criteria) this;
        }

        public Criteria andCreateSalesmanIdNotBetween(Long value1, Long value2) {
            addCriterion("create_salesman_id not between", value1, value2, "createSalesmanId");
            return (Criteria) this;
        }

        public Criteria andCreateSalesmanNameIsNull() {
            addCriterion("create_salesman_name is null");
            return (Criteria) this;
        }

        public Criteria andCreateSalesmanNameIsNotNull() {
            addCriterion("create_salesman_name is not null");
            return (Criteria) this;
        }

        public Criteria andCreateSalesmanNameEqualTo(String value) {
            addCriterion("create_salesman_name =", value, "createSalesmanName");
            return (Criteria) this;
        }

        public Criteria andCreateSalesmanNameNotEqualTo(String value) {
            addCriterion("create_salesman_name <>", value, "createSalesmanName");
            return (Criteria) this;
        }

        public Criteria andCreateSalesmanNameGreaterThan(String value) {
            addCriterion("create_salesman_name >", value, "createSalesmanName");
            return (Criteria) this;
        }

        public Criteria andCreateSalesmanNameGreaterThanOrEqualTo(String value) {
            addCriterion("create_salesman_name >=", value, "createSalesmanName");
            return (Criteria) this;
        }

        public Criteria andCreateSalesmanNameLessThan(String value) {
            addCriterion("create_salesman_name <", value, "createSalesmanName");
            return (Criteria) this;
        }

        public Criteria andCreateSalesmanNameLessThanOrEqualTo(String value) {
            addCriterion("create_salesman_name <=", value, "createSalesmanName");
            return (Criteria) this;
        }

        public Criteria andCreateSalesmanNameLike(String value) {
            addCriterion("create_salesman_name like", value, "createSalesmanName");
            return (Criteria) this;
        }

        public Criteria andCreateSalesmanNameNotLike(String value) {
            addCriterion("create_salesman_name not like", value, "createSalesmanName");
            return (Criteria) this;
        }

        public Criteria andCreateSalesmanNameIn(List<String> values) {
            addCriterion("create_salesman_name in", values, "createSalesmanName");
            return (Criteria) this;
        }

        public Criteria andCreateSalesmanNameNotIn(List<String> values) {
            addCriterion("create_salesman_name not in", values, "createSalesmanName");
            return (Criteria) this;
        }

        public Criteria andCreateSalesmanNameBetween(String value1, String value2) {
            addCriterion("create_salesman_name between", value1, value2, "createSalesmanName");
            return (Criteria) this;
        }

        public Criteria andCreateSalesmanNameNotBetween(String value1, String value2) {
            addCriterion("create_salesman_name not between", value1, value2, "createSalesmanName");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNull() {
            addCriterion("create_time is null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNotNull() {
            addCriterion("create_time is not null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeEqualTo(Date value) {
            addCriterion("create_time =", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotEqualTo(Date value) {
            addCriterion("create_time <>", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThan(Date value) {
            addCriterion("create_time >", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("create_time >=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThan(Date value) {
            addCriterion("create_time <", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThanOrEqualTo(Date value) {
            addCriterion("create_time <=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIn(List<Date> values) {
            addCriterion("create_time in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotIn(List<Date> values) {
            addCriterion("create_time not in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeBetween(Date value1, Date value2) {
            addCriterion("create_time between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotBetween(Date value1, Date value2) {
            addCriterion("create_time not between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNull() {
            addCriterion("update_time is null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNotNull() {
            addCriterion("update_time is not null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeEqualTo(Date value) {
            addCriterion("update_time =", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotEqualTo(Date value) {
            addCriterion("update_time <>", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThan(Date value) {
            addCriterion("update_time >", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("update_time >=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThan(Date value) {
            addCriterion("update_time <", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThanOrEqualTo(Date value) {
            addCriterion("update_time <=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIn(List<Date> values) {
            addCriterion("update_time in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotIn(List<Date> values) {
            addCriterion("update_time not in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeBetween(Date value1, Date value2) {
            addCriterion("update_time between", value1, value2, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotBetween(Date value1, Date value2) {
            addCriterion("update_time not between", value1, value2, "updateTime");
            return (Criteria) this;
        }

        public Criteria andExt1IsNull() {
            addCriterion("ext_1 is null");
            return (Criteria) this;
        }

        public Criteria andExt1IsNotNull() {
            addCriterion("ext_1 is not null");
            return (Criteria) this;
        }

        public Criteria andExt1EqualTo(String value) {
            addCriterion("ext_1 =", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1NotEqualTo(String value) {
            addCriterion("ext_1 <>", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1GreaterThan(String value) {
            addCriterion("ext_1 >", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1GreaterThanOrEqualTo(String value) {
            addCriterion("ext_1 >=", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1LessThan(String value) {
            addCriterion("ext_1 <", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1LessThanOrEqualTo(String value) {
            addCriterion("ext_1 <=", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1Like(String value) {
            addCriterion("ext_1 like", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1NotLike(String value) {
            addCriterion("ext_1 not like", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1In(List<String> values) {
            addCriterion("ext_1 in", values, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1NotIn(List<String> values) {
            addCriterion("ext_1 not in", values, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1Between(String value1, String value2) {
            addCriterion("ext_1 between", value1, value2, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1NotBetween(String value1, String value2) {
            addCriterion("ext_1 not between", value1, value2, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt2IsNull() {
            addCriterion("ext_2 is null");
            return (Criteria) this;
        }

        public Criteria andExt2IsNotNull() {
            addCriterion("ext_2 is not null");
            return (Criteria) this;
        }

        public Criteria andExt2EqualTo(String value) {
            addCriterion("ext_2 =", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2NotEqualTo(String value) {
            addCriterion("ext_2 <>", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2GreaterThan(String value) {
            addCriterion("ext_2 >", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2GreaterThanOrEqualTo(String value) {
            addCriterion("ext_2 >=", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2LessThan(String value) {
            addCriterion("ext_2 <", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2LessThanOrEqualTo(String value) {
            addCriterion("ext_2 <=", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2Like(String value) {
            addCriterion("ext_2 like", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2NotLike(String value) {
            addCriterion("ext_2 not like", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2In(List<String> values) {
            addCriterion("ext_2 in", values, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2NotIn(List<String> values) {
            addCriterion("ext_2 not in", values, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2Between(String value1, String value2) {
            addCriterion("ext_2 between", value1, value2, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2NotBetween(String value1, String value2) {
            addCriterion("ext_2 not between", value1, value2, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt3IsNull() {
            addCriterion("ext_3 is null");
            return (Criteria) this;
        }

        public Criteria andExt3IsNotNull() {
            addCriterion("ext_3 is not null");
            return (Criteria) this;
        }

        public Criteria andExt3EqualTo(String value) {
            addCriterion("ext_3 =", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3NotEqualTo(String value) {
            addCriterion("ext_3 <>", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3GreaterThan(String value) {
            addCriterion("ext_3 >", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3GreaterThanOrEqualTo(String value) {
            addCriterion("ext_3 >=", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3LessThan(String value) {
            addCriterion("ext_3 <", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3LessThanOrEqualTo(String value) {
            addCriterion("ext_3 <=", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3Like(String value) {
            addCriterion("ext_3 like", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3NotLike(String value) {
            addCriterion("ext_3 not like", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3In(List<String> values) {
            addCriterion("ext_3 in", values, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3NotIn(List<String> values) {
            addCriterion("ext_3 not in", values, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3Between(String value1, String value2) {
            addCriterion("ext_3 between", value1, value2, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3NotBetween(String value1, String value2) {
            addCriterion("ext_3 not between", value1, value2, "ext3");
            return (Criteria) this;
        }
    }

    /**
     */
    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}